import videojs from 'video.js';
import FloatButton from '@misterben/videojs-float-button';

/**
 * @class SkipIntroButton
 * @extends {FloatButton}
 */
class SkipIntroButton extends FloatButton {

  /**
   * Update button
   *
   * @method update
   * @param {Object} data New data for button
   * @param {number} data.seekTo Position to seek to if clicked
   * @param {string} data.label Text for button
   */
  update(data) {
    this.seekTo = data.seekTo;
    this.controlText(data.label);
  }

  buildCSSClass() {
    return `vjs-skip-intro-button ${super.buildCSSClass()}`;
  }

  handleClick() {
    this.player_.currentTime(this.seekTo);
    this.hide();
  }
}

videojs.registerComponent('SkipIntroButton', SkipIntroButton);

export default SkipIntroButton;
