/*! @name @misterben/videojs-skip-intro @version 0.1.1 @license MIT */
(function (videojs,QUnit,sinon) {
	'use strict';

	videojs = videojs && videojs.hasOwnProperty('default') ? videojs['default'] : videojs;
	QUnit = QUnit && QUnit.hasOwnProperty('default') ? QUnit['default'] : QUnit;
	sinon = sinon && sinon.hasOwnProperty('default') ? sinon['default'] : sinon;

	var commonjsGlobal = typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

	var empty = {};

	var empty$1 = /*#__PURE__*/Object.freeze({
		default: empty
	});

	var minDoc = ( empty$1 && empty ) || empty$1;

	var topLevel = typeof commonjsGlobal !== 'undefined' ? commonjsGlobal :
	    typeof window !== 'undefined' ? window : {};


	var doccy;

	if (typeof document !== 'undefined') {
	    doccy = document;
	} else {
	    doccy = topLevel['__GLOBAL_DOCUMENT_CACHE@4'];

	    if (!doccy) {
	        doccy = topLevel['__GLOBAL_DOCUMENT_CACHE@4'] = minDoc;
	    }
	}

	var document_1 = doccy;

	var win;

	if (typeof window !== "undefined") {
	    win = window;
	} else if (typeof commonjsGlobal !== "undefined") {
	    win = commonjsGlobal;
	} else if (typeof self !== "undefined"){
	    win = self;
	} else {
	    win = {};
	}

	var window_1 = win;

	var version = "0.1.1";

	function _inheritsLoose(subClass, superClass) {
	  subClass.prototype = Object.create(superClass.prototype);
	  subClass.prototype.constructor = subClass;
	  subClass.__proto__ = superClass;
	}

	/*! @name @misterben/videojs-float-button @version 0.1.5 @license MIT */

	function _inheritsLoose$1(subClass, superClass) {
	  subClass.prototype = Object.create(superClass.prototype);
	  subClass.prototype.constructor = subClass;
	  subClass.__proto__ = superClass;
	}

	var version$1 = "0.1.5";

	var Button = videojs.getComponent('Button'); // Default options for the plugin.

	var defaults = {
	  forceTimeout: 4000,
	  text: '',
	  position: 'bottom left'
	};
	/**
	 * A floating button that appears over the video, outside the controls
	 *
	 * @class FloatButton
	 * @extends {Button}
	 */

	var FloatButton =
	/*#__PURE__*/
	function (_Button) {
	  _inheritsLoose$1(FloatButton, _Button);

	  /**
	   * Constructor for FloatButton
	   *
	   * @method constructor
	   * @param  {Player} player @link videojs#Player
	   * @param  {Object} [options] Options object
	   * @param  {?number} [options.forceTimeout] ms button should display when shown
	   */
	  function FloatButton(player, options) {
	    var _this;

	    options = videojs.mergeOptions(defaults, options);
	    _this = _Button.call(this, player, options) || this;

	    _this.controlText(options.text);

	    _this.hide();

	    if (player.bcinfo && player.bcinfo.css) {
	      _this.el().style.setProperty('--vjs-accent-colour', player.bcinfo.css.progressColor);
	    } // When shown, the float button will be visible even if the user is inactive.
	    // Clear this if there is any interaction.


	    player.on(['useractive', 'userinactive'], function () {
	      _this.removeClass('force-display');
	    });
	    return _this;
	  }
	  /**
	   * Builds the default DOM `className`.
	   *
	   * @return {string}
	   *         The DOM `className` for this object.
	   */


	  var _proto = FloatButton.prototype;

	  _proto.buildCSSClass = function buildCSSClass() {
	    var positions = {
	      left: 'vjs-fb-left',
	      right: 'vjs-fb-right',
	      top: 'vjs-fb-top',
	      bottom: 'vjs-fb-bottom',
	      flush: 'vjs-fb-flush'
	    };
	    var rc = this.options_.position.split(' ').reduce(function (result, p) {
	      if (positions[p]) {
	        result.push(positions[p]);
	      }

	      return result;
	    }, []).join(' ');
	    return "vjs-float-button " + rc;
	  };
	  /**
	   * Create the button el
	   *
	   * @method createEl
	   * @return {Element}
	   *          The button's element
	   */


	  _proto.createEl = function createEl() {
	    var el = videojs.dom.createEl('button', {}, {
	      class: this.buildCSSClass()
	    }, videojs.dom.createEl('span'));
	    this.controlTextEl_ = el.querySelector('span');
	    return el;
	  };
	  /**
	   * Show button
	   *
	   * When shown, the button is made visible irrespective of the user activity state
	   * After a timeout or interaction, the button appears with the regular controls
	   *
	   * @method show
	   */


	  _proto.show = function show() {
	    var _this2 = this;

	    _Button.prototype.show.call(this);

	    this.addClass('force-display');
	    window_1.setTimeout(function () {
	      _this2.removeClass('force-display');
	    }, this.options_.forceTimeout);
	  };
	  /**
	   * Hide button
	   *
	   * @method show
	   */


	  _proto.hide = function hide() {
	    this.removeClass('force-display');

	    _Button.prototype.hide.call(this);
	  };

	  return FloatButton;
	}(Button); // Include the version number.


	FloatButton.VERSION = version$1;
	videojs.registerComponent('FloatButton', FloatButton);

	var cov_h2i40llwa = function () {
	  var path = '/Users/bclifford/Code/videojs-skip-intro/src/skipIntroButton.js',
	      hash = '6ab2c84703e2293a1bb1c7baa795b1b1d4e1f4a6',
	      Function = function () {}.constructor,
	      global = new Function('return this')(),
	      gcv = '__coverage__',
	      coverageData = {
	    path: '/Users/bclifford/Code/videojs-skip-intro/src/skipIntroButton.js',
	    statementMap: {
	      '0': {
	        start: {
	          line: 19,
	          column: 4
	        },
	        end: {
	          line: 19,
	          column: 30
	        }
	      },
	      '1': {
	        start: {
	          line: 20,
	          column: 4
	        },
	        end: {
	          line: 20,
	          column: 33
	        }
	      },
	      '2': {
	        start: {
	          line: 24,
	          column: 4
	        },
	        end: {
	          line: 24,
	          column: 60
	        }
	      },
	      '3': {
	        start: {
	          line: 28,
	          column: 4
	        },
	        end: {
	          line: 28,
	          column: 42
	        }
	      },
	      '4': {
	        start: {
	          line: 29,
	          column: 4
	        },
	        end: {
	          line: 29,
	          column: 16
	        }
	      },
	      '5': {
	        start: {
	          line: 33,
	          column: 0
	        },
	        end: {
	          line: 33,
	          column: 62
	        }
	      }
	    },
	    fnMap: {
	      '0': {
	        name: '(anonymous_0)',
	        decl: {
	          start: {
	            line: 18,
	            column: 2
	          },
	          end: {
	            line: 18,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 18,
	            column: 15
	          },
	          end: {
	            line: 21,
	            column: 3
	          }
	        },
	        line: 18
	      },
	      '1': {
	        name: '(anonymous_1)',
	        decl: {
	          start: {
	            line: 23,
	            column: 2
	          },
	          end: {
	            line: 23,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 23,
	            column: 18
	          },
	          end: {
	            line: 25,
	            column: 3
	          }
	        },
	        line: 23
	      },
	      '2': {
	        name: '(anonymous_2)',
	        decl: {
	          start: {
	            line: 27,
	            column: 2
	          },
	          end: {
	            line: 27,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 27,
	            column: 16
	          },
	          end: {
	            line: 30,
	            column: 3
	          }
	        },
	        line: 27
	      }
	    },
	    branchMap: {},
	    s: {
	      '0': 0,
	      '1': 0,
	      '2': 0,
	      '3': 0,
	      '4': 0,
	      '5': 0
	    },
	    f: {
	      '0': 0,
	      '1': 0,
	      '2': 0
	    },
	    b: {},
	    _coverageSchema: '332fd63041d2c1bcb487cc26dd0d5f7d97098a6c'
	  },
	      coverage = global[gcv] || (global[gcv] = {});

	  if (coverage[path] && coverage[path].hash === hash) {
	    return coverage[path];
	  }

	  coverageData.hash = hash;
	  return coverage[path] = coverageData;
	}();

	var SkipIntroButton =
	/*#__PURE__*/
	function (_FloatButton) {
	  _inheritsLoose(SkipIntroButton, _FloatButton);

	  function SkipIntroButton() {
	    return _FloatButton.apply(this, arguments) || this;
	  }

	  var _proto = SkipIntroButton.prototype;

	  _proto.update = function update(data) {
	    cov_h2i40llwa.f[0]++;
	    cov_h2i40llwa.s[0]++;
	    this.seekTo = data.seekTo;
	    cov_h2i40llwa.s[1]++;
	    this.controlText(data.label);
	  };

	  _proto.buildCSSClass = function buildCSSClass() {
	    cov_h2i40llwa.f[1]++;
	    cov_h2i40llwa.s[2]++;
	    return "vjs-skip-intro-button " + _FloatButton.prototype.buildCSSClass.call(this);
	  };

	  _proto.handleClick = function handleClick() {
	    cov_h2i40llwa.f[2]++;
	    cov_h2i40llwa.s[3]++;
	    this.player_.currentTime(this.seekTo);
	    cov_h2i40llwa.s[4]++;
	    this.hide();
	  };

	  return SkipIntroButton;
	}(FloatButton);

	cov_h2i40llwa.s[5]++;
	videojs.registerComponent('SkipIntroButton', SkipIntroButton);

	var cov_27o7n82klt = function () {
	  var path = '/Users/bclifford/Code/videojs-skip-intro/src/plugin.js',
	      hash = '942c6e1777d9085420ef284f672ced64d333ded8',
	      Function = function () {}.constructor,
	      global = new Function('return this')(),
	      gcv = '__coverage__',
	      coverageData = {
	    path: '/Users/bclifford/Code/videojs-skip-intro/src/plugin.js',
	    statementMap: {
	      '0': {
	        start: {
	          line: 8,
	          column: 17
	        },
	        end: {
	          line: 19,
	          column: 1
	        }
	      },
	      '1': {
	        start: {
	          line: 39,
	          column: 22
	        },
	        end: {
	          line: 104,
	          column: 1
	        }
	      },
	      '2': {
	        start: {
	          line: 40,
	          column: 16
	        },
	        end: {
	          line: 40,
	          column: 44
	        }
	      },
	      '3': {
	        start: {
	          line: 41,
	          column: 21
	        },
	        end: {
	          line: 41,
	          column: 23
	        }
	      },
	      '4': {
	        start: {
	          line: 43,
	          column: 2
	        },
	        end: {
	          line: 43,
	          column: 62
	        }
	      },
	      '5': {
	        start: {
	          line: 44,
	          column: 2
	        },
	        end: {
	          line: 44,
	          column: 36
	        }
	      },
	      '6': {
	        start: {
	          line: 46,
	          column: 2
	        },
	        end: {
	          line: 81,
	          column: 5
	        }
	      },
	      '7': {
	        start: {
	          line: 47,
	          column: 20
	        },
	        end: {
	          line: 47,
	          column: 46
	        }
	      },
	      '8': {
	        start: {
	          line: 49,
	          column: 4
	        },
	        end: {
	          line: 49,
	          column: 26
	        }
	      },
	      '9': {
	        start: {
	          line: 52,
	          column: 4
	        },
	        end: {
	          line: 80,
	          column: 7
	        }
	      },
	      '10': {
	        start: {
	          line: 53,
	          column: 24
	        },
	        end: {
	          line: 53,
	          column: 83
	        }
	      },
	      '11': {
	        start: {
	          line: 53,
	          column: 51
	        },
	        end: {
	          line: 53,
	          column: 82
	        }
	      },
	      '12': {
	        start: {
	          line: 54,
	          column: 26
	        },
	        end: {
	          line: 54,
	          column: 87
	        }
	      },
	      '13': {
	        start: {
	          line: 54,
	          column: 53
	        },
	        end: {
	          line: 54,
	          column: 86
	        }
	      },
	      '14': {
	        start: {
	          line: 56,
	          column: 6
	        },
	        end: {
	          line: 63,
	          column: 7
	        }
	      },
	      '15': {
	        start: {
	          line: 57,
	          column: 8
	        },
	        end: {
	          line: 62,
	          column: 11
	        }
	      },
	      '16': {
	        start: {
	          line: 66,
	          column: 6
	        },
	        end: {
	          line: 79,
	          column: 7
	        }
	      },
	      '17': {
	        start: {
	          line: 67,
	          column: 8
	        },
	        end: {
	          line: 67,
	          column: 67
	        }
	      },
	      '18': {
	        start: {
	          line: 68,
	          column: 26
	        },
	        end: {
	          line: 68,
	          column: 27
	        }
	      },
	      '19': {
	        start: {
	          line: 70,
	          column: 8
	        },
	        end: {
	          line: 72,
	          column: 9
	        }
	      },
	      '20': {
	        start: {
	          line: 71,
	          column: 10
	        },
	        end: {
	          line: 71,
	          column: 55
	        }
	      },
	      '21': {
	        start: {
	          line: 73,
	          column: 8
	        },
	        end: {
	          line: 73,
	          column: 67
	        }
	      },
	      '22': {
	        start: {
	          line: 74,
	          column: 8
	        },
	        end: {
	          line: 78,
	          column: 11
	        }
	      },
	      '23': {
	        start: {
	          line: 83,
	          column: 2
	        },
	        end: {
	          line: 103,
	          column: 5
	        }
	      },
	      '24': {
	        start: {
	          line: 84,
	          column: 4
	        },
	        end: {
	          line: 102,
	          column: 7
	        }
	      },
	      '25': {
	        start: {
	          line: 85,
	          column: 20
	        },
	        end: {
	          line: 85,
	          column: 28
	        }
	      },
	      '26': {
	        start: {
	          line: 87,
	          column: 6
	        },
	        end: {
	          line: 89,
	          column: 7
	        }
	      },
	      '27': {
	        start: {
	          line: 88,
	          column: 8
	        },
	        end: {
	          line: 88,
	          column: 44
	        }
	      },
	      '28': {
	        start: {
	          line: 90,
	          column: 6
	        },
	        end: {
	          line: 101,
	          column: 9
	        }
	      },
	      '29': {
	        start: {
	          line: 91,
	          column: 8
	        },
	        end: {
	          line: 93,
	          column: 9
	        }
	      },
	      '30': {
	        start: {
	          line: 92,
	          column: 10
	        },
	        end: {
	          line: 92,
	          column: 40
	        }
	      },
	      '31': {
	        start: {
	          line: 94,
	          column: 8
	        },
	        end: {
	          line: 100,
	          column: 9
	        }
	      },
	      '32': {
	        start: {
	          line: 95,
	          column: 10
	        },
	        end: {
	          line: 98,
	          column: 13
	        }
	      },
	      '33': {
	        start: {
	          line: 99,
	          column: 10
	        },
	        end: {
	          line: 99,
	          column: 40
	        }
	      },
	      '34': {
	        start: {
	          line: 115,
	          column: 18
	        },
	        end: {
	          line: 119,
	          column: 1
	        }
	      },
	      '35': {
	        start: {
	          line: 116,
	          column: 2
	        },
	        end: {
	          line: 118,
	          column: 5
	        }
	      },
	      '36': {
	        start: {
	          line: 117,
	          column: 4
	        },
	        end: {
	          line: 117,
	          column: 65
	        }
	      },
	      '37': {
	        start: {
	          line: 122,
	          column: 0
	        },
	        end: {
	          line: 122,
	          column: 47
	        }
	      },
	      '38': {
	        start: {
	          line: 125,
	          column: 0
	        },
	        end: {
	          line: 125,
	          column: 28
	        }
	      }
	    },
	    fnMap: {
	      '0': {
	        name: '(anonymous_0)',
	        decl: {
	          start: {
	            line: 39,
	            column: 22
	          },
	          end: {
	            line: 39,
	            column: 23
	          }
	        },
	        loc: {
	          start: {
	            line: 39,
	            column: 43
	          },
	          end: {
	            line: 104,
	            column: 1
	          }
	        },
	        line: 39
	      },
	      '1': {
	        name: '(anonymous_1)',
	        decl: {
	          start: {
	            line: 46,
	            column: 30
	          },
	          end: {
	            line: 46,
	            column: 31
	          }
	        },
	        loc: {
	          start: {
	            line: 46,
	            column: 36
	          },
	          end: {
	            line: 81,
	            column: 3
	          }
	        },
	        line: 46
	      },
	      '2': {
	        name: '(anonymous_2)',
	        decl: {
	          start: {
	            line: 52,
	            column: 27
	          },
	          end: {
	            line: 52,
	            column: 28
	          }
	        },
	        loc: {
	          start: {
	            line: 52,
	            column: 35
	          },
	          end: {
	            line: 80,
	            column: 5
	          }
	        },
	        line: 52
	      },
	      '3': {
	        name: '(anonymous_3)',
	        decl: {
	          start: {
	            line: 53,
	            column: 42
	          },
	          end: {
	            line: 53,
	            column: 43
	          }
	        },
	        loc: {
	          start: {
	            line: 53,
	            column: 51
	          },
	          end: {
	            line: 53,
	            column: 82
	          }
	        },
	        line: 53
	      },
	      '4': {
	        name: '(anonymous_4)',
	        decl: {
	          start: {
	            line: 54,
	            column: 44
	          },
	          end: {
	            line: 54,
	            column: 45
	          }
	        },
	        loc: {
	          start: {
	            line: 54,
	            column: 53
	          },
	          end: {
	            line: 54,
	            column: 86
	          }
	        },
	        line: 54
	      },
	      '5': {
	        name: '(anonymous_5)',
	        decl: {
	          start: {
	            line: 83,
	            column: 38
	          },
	          end: {
	            line: 83,
	            column: 39
	          }
	        },
	        loc: {
	          start: {
	            line: 83,
	            column: 50
	          },
	          end: {
	            line: 103,
	            column: 3
	          }
	        },
	        line: 83
	      },
	      '6': {
	        name: '(anonymous_6)',
	        decl: {
	          start: {
	            line: 84,
	            column: 35
	          },
	          end: {
	            line: 84,
	            column: 36
	          }
	        },
	        loc: {
	          start: {
	            line: 84,
	            column: 44
	          },
	          end: {
	            line: 102,
	            column: 5
	          }
	        },
	        line: 84
	      },
	      '7': {
	        name: '(anonymous_7)',
	        decl: {
	          start: {
	            line: 90,
	            column: 25
	          },
	          end: {
	            line: 90,
	            column: 26
	          }
	        },
	        loc: {
	          start: {
	            line: 90,
	            column: 35
	          },
	          end: {
	            line: 101,
	            column: 7
	          }
	        },
	        line: 90
	      },
	      '8': {
	        name: '(anonymous_8)',
	        decl: {
	          start: {
	            line: 115,
	            column: 18
	          },
	          end: {
	            line: 115,
	            column: 19
	          }
	        },
	        loc: {
	          start: {
	            line: 115,
	            column: 36
	          },
	          end: {
	            line: 119,
	            column: 1
	          }
	        },
	        line: 115
	      },
	      '9': {
	        name: '(anonymous_9)',
	        decl: {
	          start: {
	            line: 116,
	            column: 13
	          },
	          end: {
	            line: 116,
	            column: 14
	          }
	        },
	        loc: {
	          start: {
	            line: 116,
	            column: 19
	          },
	          end: {
	            line: 118,
	            column: 3
	          }
	        },
	        line: 116
	      }
	    },
	    branchMap: {
	      '0': {
	        loc: {
	          start: {
	            line: 56,
	            column: 6
	          },
	          end: {
	            line: 63,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 56,
	            column: 6
	          },
	          end: {
	            line: 63,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 56,
	            column: 6
	          },
	          end: {
	            line: 63,
	            column: 7
	          }
	        }],
	        line: 56
	      },
	      '1': {
	        loc: {
	          start: {
	            line: 66,
	            column: 6
	          },
	          end: {
	            line: 79,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 66,
	            column: 6
	          },
	          end: {
	            line: 79,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 66,
	            column: 6
	          },
	          end: {
	            line: 79,
	            column: 7
	          }
	        }],
	        line: 66
	      },
	      '2': {
	        loc: {
	          start: {
	            line: 66,
	            column: 10
	          },
	          end: {
	            line: 66,
	            column: 46
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 66,
	            column: 10
	          },
	          end: {
	            line: 66,
	            column: 24
	          }
	        }, {
	          start: {
	            line: 66,
	            column: 28
	          },
	          end: {
	            line: 66,
	            column: 46
	          }
	        }],
	        line: 66
	      },
	      '3': {
	        loc: {
	          start: {
	            line: 70,
	            column: 8
	          },
	          end: {
	            line: 72,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 70,
	            column: 8
	          },
	          end: {
	            line: 72,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 70,
	            column: 8
	          },
	          end: {
	            line: 72,
	            column: 9
	          }
	        }],
	        line: 70
	      },
	      '4': {
	        loc: {
	          start: {
	            line: 87,
	            column: 6
	          },
	          end: {
	            line: 89,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 87,
	            column: 6
	          },
	          end: {
	            line: 89,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 87,
	            column: 6
	          },
	          end: {
	            line: 89,
	            column: 7
	          }
	        }],
	        line: 87
	      },
	      '5': {
	        loc: {
	          start: {
	            line: 91,
	            column: 8
	          },
	          end: {
	            line: 93,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 91,
	            column: 8
	          },
	          end: {
	            line: 93,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 91,
	            column: 8
	          },
	          end: {
	            line: 93,
	            column: 9
	          }
	        }],
	        line: 91
	      },
	      '6': {
	        loc: {
	          start: {
	            line: 94,
	            column: 8
	          },
	          end: {
	            line: 100,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 94,
	            column: 8
	          },
	          end: {
	            line: 100,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 94,
	            column: 8
	          },
	          end: {
	            line: 100,
	            column: 9
	          }
	        }],
	        line: 94
	      }
	    },
	    s: {
	      '0': 0,
	      '1': 0,
	      '2': 0,
	      '3': 0,
	      '4': 0,
	      '5': 0,
	      '6': 0,
	      '7': 0,
	      '8': 0,
	      '9': 0,
	      '10': 0,
	      '11': 0,
	      '12': 0,
	      '13': 0,
	      '14': 0,
	      '15': 0,
	      '16': 0,
	      '17': 0,
	      '18': 0,
	      '19': 0,
	      '20': 0,
	      '21': 0,
	      '22': 0,
	      '23': 0,
	      '24': 0,
	      '25': 0,
	      '26': 0,
	      '27': 0,
	      '28': 0,
	      '29': 0,
	      '30': 0,
	      '31': 0,
	      '32': 0,
	      '33': 0,
	      '34': 0,
	      '35': 0,
	      '36': 0,
	      '37': 0,
	      '38': 0
	    },
	    f: {
	      '0': 0,
	      '1': 0,
	      '2': 0,
	      '3': 0,
	      '4': 0,
	      '5': 0,
	      '6': 0,
	      '7': 0,
	      '8': 0,
	      '9': 0
	    },
	    b: {
	      '0': [0, 0],
	      '1': [0, 0],
	      '2': [0, 0],
	      '3': [0, 0],
	      '4': [0, 0],
	      '5': [0, 0],
	      '6': [0, 0]
	    },
	    _coverageSchema: '332fd63041d2c1bcb487cc26dd0d5f7d97098a6c'
	  },
	      coverage = global[gcv] || (global[gcv] = {});

	  if (coverage[path] && coverage[path].hash === hash) {
	    return coverage[path];
	  }

	  coverageData.hash = hash;
	  return coverage[path] = coverageData;
	}();
	var defaults$1 = (cov_27o7n82klt.s[0]++, {
	  ranges: [{
	    name: 'recap',
	    label: 'Skip recap'
	  }, {
	    name: 'intro',
	    label: 'Skip intro'
	  }]
	});
	cov_27o7n82klt.s[1]++;

	var onPlayerReady = function onPlayerReady(player, options) {
	  cov_27o7n82klt.f[0]++;
	  var track = (cov_27o7n82klt.s[2]++, player.mediaCuePointsTrack());
	  var skipRanges = (cov_27o7n82klt.s[3]++, []);
	  cov_27o7n82klt.s[4]++;
	  player.skipIntroButton = player.addChild('SkipIntroButton');
	  cov_27o7n82klt.s[5]++;
	  player.addClass('vjs-skip-intro');
	  cov_27o7n82klt.s[6]++;
	  player.on('loadedmetadata', function () {
	    cov_27o7n82klt.f[1]++;
	    var cueData = (cov_27o7n82klt.s[7]++, player.mediainfo.cuePoints);
	    cov_27o7n82klt.s[8]++;
	    skipRanges.length = 0;
	    cov_27o7n82klt.s[9]++;
	    options.ranges.forEach(function (type) {
	      cov_27o7n82klt.f[2]++;
	      var endCueIdx = (cov_27o7n82klt.s[10]++, cueData.findIndex(function (cue) {
	        cov_27o7n82klt.f[3]++;
	        cov_27o7n82klt.s[11]++;
	        return cue.name === "end_" + type.name;
	      }));
	      var startCueIdx = (cov_27o7n82klt.s[12]++, cueData.findIndex(function (cue) {
	        cov_27o7n82klt.f[4]++;
	        cov_27o7n82klt.s[13]++;
	        return cue.name === "start_" + type.name;
	      }));
	      cov_27o7n82klt.s[14]++;

	      if (endCueIdx > -1) {
	        cov_27o7n82klt.b[0][0]++;
	        cov_27o7n82klt.s[15]++;
	        skipRanges.push({
	          start: "start_" + type.name,
	          end: "end_" + type.name,
	          time: cueData[endCueIdx].startTime,
	          label: type.label
	        });
	      } else {
	        cov_27o7n82klt.b[0][1]++;
	      }

	      cov_27o7n82klt.s[16]++;

	      if ((cov_27o7n82klt.b[2][0]++, endCueIdx > -1) && (cov_27o7n82klt.b[2][1]++, startCueIdx === -1)) {
	        cov_27o7n82klt.b[1][0]++;
	        cov_27o7n82klt.s[17]++;
	        videojs.log("end_" + type.name + " without start_" + type.name);
	        var previousEnd = (cov_27o7n82klt.s[18]++, 0);
	        cov_27o7n82klt.s[19]++;

	        if (endCueIdx > 0) {
	          cov_27o7n82klt.b[3][0]++;
	          cov_27o7n82klt.s[20]++;
	          previousEnd = cueData[endCueIdx - 1].endTime;
	        } else {
	          cov_27o7n82klt.b[3][1]++;
	        }

	        cov_27o7n82klt.s[21]++;
	        videojs.log("insert start_" + type.name + " at " + previousEnd);
	        cov_27o7n82klt.s[22]++;
	        track.addCue(new window_1.VTTCue(previousEnd + 0.1, cueData[endCueIdx].startTime - 0.1, "start_" + type.name));
	      } else {
	        cov_27o7n82klt.b[1][1]++;
	      }
	    });
	  });
	  cov_27o7n82klt.s[23]++;
	  track.addEventListener('cuechange', function (e) {
	    cov_27o7n82klt.f[5]++;
	    cov_27o7n82klt.s[24]++;
	    track.activeCues.cues_.forEach(function (cue) {
	      cov_27o7n82klt.f[6]++;
	      var cueName = (cov_27o7n82klt.s[25]++, cue.text);
	      cov_27o7n82klt.s[26]++;

	      if (cueName === 'CODE') {
	        cov_27o7n82klt.b[4][0]++;
	        cov_27o7n82klt.s[27]++;
	        cueName = cue.originalCuePoint.name;
	      } else {
	        cov_27o7n82klt.b[4][1]++;
	      }

	      cov_27o7n82klt.s[28]++;
	      skipRanges.forEach(function (data) {
	        cov_27o7n82klt.f[7]++;
	        cov_27o7n82klt.s[29]++;

	        if (data.end === cueName) {
	          cov_27o7n82klt.b[5][0]++;
	          cov_27o7n82klt.s[30]++;
	          player.skipIntroButton.hide();
	        } else {
	          cov_27o7n82klt.b[5][1]++;
	        }

	        cov_27o7n82klt.s[31]++;

	        if (data.start === cueName) {
	          cov_27o7n82klt.b[6][0]++;
	          cov_27o7n82klt.s[32]++;
	          player.skipIntroButton.update({
	            seekTo: data.time,
	            label: data.label
	          });
	          cov_27o7n82klt.s[33]++;
	          player.skipIntroButton.show();
	        } else {
	          cov_27o7n82klt.b[6][1]++;
	        }
	      });
	    });
	  });
	};

	cov_27o7n82klt.s[34]++;

	var skipIntro = function skipIntro(options) {
	  var _this = this;

	  cov_27o7n82klt.f[8]++;
	  cov_27o7n82klt.s[35]++;
	  this.ready(function () {
	    cov_27o7n82klt.f[9]++;
	    cov_27o7n82klt.s[36]++;
	    onPlayerReady(_this, videojs.mergeOptions(defaults$1, options));
	  });
	};

	cov_27o7n82klt.s[37]++;
	videojs.registerPlugin('skipIntro', skipIntro);
	cov_27o7n82klt.s[38]++;
	skipIntro.VERSION = version;

	var Player = videojs.getComponent('Player');
	QUnit.test('the environment is sane', function (assert) {
	  assert.strictEqual(typeof Array.isArray, 'function', 'es5 exists');
	  assert.strictEqual(typeof sinon, 'object', 'sinon exists');
	  assert.strictEqual(typeof videojs, 'function', 'videojs exists');
	  assert.strictEqual(typeof skipIntro, 'function', 'plugin is a function');
	});
	QUnit.module('videojs-skip-intro', {
	  beforeEach: function beforeEach() {
	    // Mock the environment's timers because certain things - particularly
	    // player readiness - are asynchronous in video.js 5. This MUST come
	    // before any player is created; otherwise, timers could get created
	    // with the actual timer methods!
	    this.clock = sinon.useFakeTimers();
	    this.fixture = document_1.getElementById('qunit-fixture');
	    this.video = document_1.createElement('video');
	    this.fixture.appendChild(this.video);
	    this.player = videojs(this.video);
	    var track = this.player.addTextTrack('metadata');
	    track.mode = 'hidden';

	    this.player.mediaCuePointsTrack = function () {
	      return track;
	    };
	  },
	  afterEach: function afterEach() {
	    this.player.dispose();
	    this.clock.restore();
	  }
	});
	QUnit.test('registers itself with video.js', function (assert) {
	  assert.expect(3);
	  assert.strictEqual(typeof Player.prototype.skipIntro, 'function', 'videojs-skip-intro plugin was registered');
	  this.player.skipIntro(); // Tick the clock forward enough to trigger the player to be "ready".

	  this.clock.tick(1);
	  assert.ok(this.player.hasClass('vjs-skip-intro'), 'the plugin adds a class to the player');
	  assert.ok(this.player.skipIntroButton, 'the button is added to the player');
	});
	/* need to populate mediainfo and add cues */
	// QUnit.test('shows button', function(assert) {
	//   this.player.mediainfo = {
	//     cuePoints: {
	//     }
	//   }
	//   this.player.mediaCuePointsTrack().addCue(
	//     new VTTCue(0.1, 5, 'skip_intro')
	//   );
	//   this.player.mediaCuePointsTrack().addCue(
	//     new VTTCue(5.1, 10, 'skip_intro')
	//   );
	//   this.player.skipIntro();
	//   this.clock.tick(1);
	//   this.player.trigger('loadedmetadata');
	//   this.player.tech_.currentTime = () => 2;
	//   this.player.trigger('timeupdate');
	//   assert.ok(
	//     !this.player.skipIntroButton.hasClass('vjs-hidden'),
	//     'the button is shown'
	//   )
	// });

}(videojs,QUnit,sinon));
